library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;


entity test is
   port
   (
      clk       : in std_logic;
      led1      : out std_logic;
      led2      : out std_logic;
      led3      : out std_logic
   );
end entity test;

architecture rtl of test is

   signal cnt   : std_logic_vector(27 downto 0);

begin

   process(clk)
   begin
      if clk'event and clk='1' then
         cnt <= cnt + 1;
      end if;
   end process;

   led1 <= cnt(23);
   led2 <= cnt(25);
   led3 <= cnt(27);

end rtl;
